cgSetSamplerState(3)

NAME
cgSetSamplerState - initializes the state specified for a sampler parameter

SYNOPSIS
  #include <Cg/cg.h>
  void cgSetSamplerState( CGparameter param );

PARAMETERS

param
    The parameter handle.

RETURN VALUES
None.

DESCRIPTION
cgSetSamplerState sets the sampler state for a sampler parameter that was specified via a sampler_state block in a CgFX file. The corresponding sampler should be bound via the graphics API before this call is made.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgSetSamplerState was introduced in Cg 1.4.

SEE ALSO
cgCreateSamplerState, cgGetFirstSamplerState, cgGetNamedSamplerState, cgGetNextState